Bug 500562 - [Indic] Wrong rendering in spell checker window makes spell checker incorrectly functioning
[Indic] Wrong rendering in spell checker window makes spell checker incorrect...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 06:04 EDT by Parag Nemade
Modified: 2009-07-21 21:11 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-21 21:11:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Wrong rendering made spell checker unable to give correct results. (182.65 KB, image/png)
2009-05-13 06:04 EDT, Parag Nemade
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 194610 None None None Never

  None (edit)
Description Parag Nemade 2009-05-13 06:04:32 EDT
Created attachment 343737 [details]
Wrong rendering made spell checker unable to give correct results.

escription of problem:
When tried to use Marathi hunspell in kate, I saw spell checker window showing incorrect rendering. Broken rendering made spell checker to read wrong words( set of characters from word as word)

Version-Release number of selected component (if applicable):
kdesdk-4.2.2-2.fc11.x86_64
kdebase-4.2.2-2.fc11.x86_64
enchant-1.4.2-5.fc11.x86_64
hunspell-mr-20060920-2.fc11.noarch
enchant-1.4.2-5.fc11.i586


How reproducible:
always

Steps to Reproduce:
1.Start KDE in Marathi
2.For easy testing copy text from http://mr.wikipedia.org to kate
3. Apply spell checker

Actual results:
Failed to read actual word from text in kate and presented in many words from single word to spell checker

Expected results:
Should use actual word and not to break rendering of word and create many subwords from it.

Additional info:
This bug is present for Indic languages.
Comment 1 Kevin Kofler 2009-05-13 10:46:49 EDT
Ouch, single letters being passed as "words" to the spell checker...

I'm not sure where the bug is located, it could be anywere in the stack, Qt, kdelibs (in Sonnet or elsewhere in kdelibs), enchant, hunspell. Do other Enchant-using apps work?
Comment 2 Parag Nemade 2009-05-15 05:14:47 EDT
I think this bug is related to sonnet coding in kdelibs package.
Comment 3 Steven M. Parrish 2009-05-29 20:50:27 EDT
Please report this issue upstream at http://bugs.kde.org  Once you have
reported the issue upstream please add the upstream report info to this report
so we can monitor it for a resolution.

Thanks
Comment 4 A S Alam 2009-05-29 22:04:56 EDT
Upstream Bug: https://bugs.kde.org/show_bug.cgi?id=194610
Comment 5 Bug Zapper 2009-06-09 11:43:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Steven M. Parrish 2009-07-21 21:11:52 EDT
Thanks for reporting this upstream.  Will monitor for a resolution.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.